%define _name Cython

Name: python-module-%_name
Version: 0.9.8.1.1
Release: alt1

Summary: C-extensions for Python
Group: Development/Python
License: Python
Url: http://www.cython.org

Source: http://www.cython.org/Cython-%version.tar.gz

Provides: %_name = %version-%release

BuildPreReq: rpm-build-python
BuildPreReq: python-devel python-module-setuptools

%description
Cython is a language that makes writing C extensions for the Python
language as easy as Python itself. Cython is based on the well-known
Pyrex, but supports more cutting edge functionality and optimizations.

The Cython language is very close to the Python language, but Cython
additionally supports calling C functions and declaring C types on
variables and class attributes. This allows the compiler to generate
very efficient C code from Cython code.

This makes Cython the ideal language for wrapping for external C
libraries, and for fast C modules that speed up the execution of Python
code.

%prep
%setup -q -n %_name-%version

%build
%__python setup.py build

%install
CFLAGS="%optflags" %__python setup.py \
install --optimize=2 \
--root=%buildroot

%files
%_bindir/cython
%python_sitelibdir/pyximport/
%python_sitelibdir/%_name/
%python_sitelibdir/%_name-*egg-info
%doc *.txt Demos Doc Tools

# don't package Mac specific stuff and test files
%exclude %python_sitelibdir/%_name/Mac/
%exclude %python_sitelibdir/%_name/Plex/test*

%changelog
* Fri Oct 17 2008 Yuri N. Sedunov <aris@altlinux.org> 0.9.8.1.1-alt1
- first build for Sisyphus
- TODO: -doc, -tools, -demos subpackages
